Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 88)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 1;
+        public static int s_SystemVersion = 18;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 88)
@@ -70,7 +70,7 @@
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
                 strcmd += "  YearMonth, BankBusinessDay, Note, DeleteFlg";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -122,8 +122,8 @@
                     strcmd += string.Format(", '{0}'", work.Note.ToString());
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -159,7 +159,7 @@
                 strcmd += string.Format(",Note = '{0}'", data.Note);
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -186,7 +186,7 @@
             try
             {
                 strcmd = "Update BankBusinessDayMaster Set DeleteFlg = 1";
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 88)
@@ -123,8 +123,8 @@
                     strcmd += string.Format(", {0}", work.SeqNo.ToString());
                     strcmd += string.Format(", {0}", work.BillPrice.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -157,7 +157,7 @@
 
                 strcmd += string.Format(" BillPrice = {0}", data.BillPrice.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 88)
@@ -136,8 +136,8 @@
                     strcmd += string.Format(", {0}", work.IndsWasteTax.ToString());
                     strcmd += string.Format(", '{0}'", work.Note.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -176,7 +176,7 @@
                 strcmd += string.Format(",IndsWasteTax = {0}", data.IndsWasteTax.ToString());
                 strcmd += string.Format(",Note = '{0}'", data.Note);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 88)
@@ -129,7 +129,7 @@
                     strcmd += string.Format("  {0}", work.CompanyCode.ToString());
                     strcmd += string.Format(", {0}", work.TargetDate.ToString());
                     strcmd += string.Format(", {0}", work.ChargePaymentKind.ToString());
-                    strcmd += string.Format(", DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", work.Payday.ToString());
+                    strcmd += string.Format(", STR_TO_DATE(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", work.Payday.ToString());
                     strcmd += string.Format(", {0}", work.BillPriceStotal.ToString());
                     strcmd += string.Format(", {0}", work.ConsumptionTaxRate.ToString());
                     strcmd += string.Format(", {0}", work.ConsumptionTaxPrice.ToString());
@@ -140,8 +140,8 @@
                     strcmd += string.Format(", {0}", work.CnstrPriceStotal.ToString());
                     strcmd += string.Format(", {0}", work.BillingPriceTotal.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -172,7 +172,7 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" Payday = DATE_FORMAT(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", data.Payday.ToString());
+                strcmd += string.Format(" Payday = STR_TO_DATE(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", data.Payday.ToString());
                 strcmd += string.Format(",BillPriceStotal = {0}", data.BillPriceStotal.ToString());
 
                 strcmd += string.Format(",ConsumptionTaxRate = {0}", data.ConsumptionTaxRate.ToString());
@@ -185,7 +185,7 @@
                 strcmd += string.Format(",CnstrPriceStotal = {0}", data.CnstrPriceStotal.ToString());
                 strcmd += string.Format(",BillingPriceTotal = {0}", data.BillingPriceTotal.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODeadLineMaster.cs	(revision 88)
@@ -125,8 +125,8 @@
                     strcmd += string.Format(", '{0}'", work.Note.ToString());
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -162,8 +162,8 @@
                 strcmd += string.Format(",PayDay = {0}", data.PayDay.ToString());
                 strcmd += string.Format(",Note = '{0}'", data.Note);
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
- 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -190,7 +190,7 @@
             try
             {
                 strcmd = "Update DeadLineMaster Set DeleteFlg = 1";
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositApprovalInfo.cs	(revision 88)
@@ -221,8 +221,8 @@
                     strcmd += string.Format(", '{0}'", data.ApprovalPersonName.ToString());
                     strcmd += string.Format(", {0}", data.ApprovalAuthority.ToString());
                     strcmd += string.Format(", DATE_FORMAT('{0}','%Y%m%d')", data.ApprovalDate.ToString());
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -264,7 +264,7 @@
                 strcmd += string.Format(",ApprovalPersonName = '{0}'", data.ApprovalPersonName.ToString());
                 strcmd += string.Format(",ApprovalAuthority = {0}", data.ApprovalAuthority.ToString());
                 strcmd += string.Format(",ApprovalDate = DATE_FORMAT('{0}','%Y%m%d')", data.ApprovalDate.ToString());
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositData.cs	(revision 88)
@@ -218,8 +218,8 @@
                     strcmd += string.Format(", {0}", data.DepositAmount.ToString());
                     strcmd += string.Format(", {0}", data.DepositAmountCash.ToString());
                     strcmd += string.Format(", {0}", data.DepositAmountBill.ToString());
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -260,7 +260,7 @@
                 strcmd += string.Format(",DepositAmount = {0}", data.DepositAmount.ToString());
                 strcmd += string.Format(",DepositAmountCash = {0}", data.DepositAmountCash.ToString());
                 strcmd += string.Format(",DepositAmountBill = {0}", data.DepositAmountBill.ToString());
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -319,9 +319,9 @@
                 wrk.SeqNo = int.Parse(objwrk[(int)ColumnName.SeqNo].ToString());
                 wrk.BusinessPeriod = int.Parse(objwrk[(int)ColumnName.BusinessPeriod].ToString());
                 wrk.DepositDate = DateTime.Parse(objwrk[(int)ColumnName.DepositDate].ToString());
-                wrk.DepositAmount = int.Parse(objwrk[(int)ColumnName.DepositAmount].ToString());
-                wrk.DepositAmountCash = int.Parse(objwrk[(int)ColumnName.DepositAmountCash].ToString());
-                wrk.DepositAmountBill = int.Parse(objwrk[(int)ColumnName.DepositAmountBill].ToString());
+                wrk.DepositAmount = long.Parse(objwrk[(int)ColumnName.DepositAmount].ToString());
+                wrk.DepositAmountCash = long.Parse(objwrk[(int)ColumnName.DepositAmountCash].ToString());
+                wrk.DepositAmountBill = long.Parse(objwrk[(int)ColumnName.DepositAmountBill].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UpdateDate].ToString());
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IODepositDataDetail.cs	(revision 88)
@@ -187,8 +187,8 @@
                 strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
                 strcmd += string.Format(", {0}", data.ApprovalEndFlg ? 1 : 0);
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -237,7 +237,7 @@
                 strcmd += string.Format(",ApprovalDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
                 strcmd += string.Format(",ApprovalEndFlg = {0}", data.ApprovalEndFlg ? 1 : 0);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += string.Format(" where OrderersDivision = {0} and OrderersCode = {1} and TargetDate = {2} and SeqNo = {3} and LineCount = {4} ",
                     data.OrderersDivision, data.OrderersCode, data.TargetDate, data.SeqNo, data.LineCount);
                 strcmd += AddSQLString;
@@ -299,12 +299,12 @@
                 wrk.LineCount = int.Parse(objwrk[(int)NameColumn.LineCount].ToString());
                 wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
                 wrk.OrderNo = int.Parse(objwrk[(int)NameColumn.OrderNo].ToString());
-                wrk.DepositAmount = int.Parse(objwrk[(int)NameColumn.DepositAmount].ToString());
-                wrk.DiscountAmount = int.Parse(objwrk[(int)NameColumn.DiscountAmount].ToString());
-                wrk.CnstrPrice = int.Parse(objwrk[(int)NameColumn.CnstrPrice].ToString());
-                wrk.Fees = int.Parse(objwrk[(int)NameColumn.Fees].ToString());
-                wrk.OtherAdjustments = int.Parse(objwrk[(int)NameColumn.OtherAdjustments].ToString());
-                wrk.CarryAmount = int.Parse(objwrk[(int)NameColumn.CarryAmount].ToString());
+                wrk.DepositAmount = long.Parse(objwrk[(int)NameColumn.DepositAmount].ToString());
+                wrk.DiscountAmount = long.Parse(objwrk[(int)NameColumn.DiscountAmount].ToString());
+                wrk.CnstrPrice = long.Parse(objwrk[(int)NameColumn.CnstrPrice].ToString());
+                wrk.Fees = long.Parse(objwrk[(int)NameColumn.Fees].ToString());
+                wrk.OtherAdjustments = long.Parse(objwrk[(int)NameColumn.OtherAdjustments].ToString());
+                wrk.CarryAmount = long.Parse(objwrk[(int)NameColumn.CarryAmount].ToString());
                 wrk.ApprovalPersonCode = int.Parse(objwrk[(int)NameColumn.ApprovalPersonCode].ToString());
                 wrk.ApprovalDate = DateTime.Parse(objwrk[(int)NameColumn.ApprovalDate].ToString());
                 wrk.ApprovalEndFlg = (int.Parse(objwrk[(int)NameColumn.ApprovalEndFlg].ToString()) != 0);
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInvoiceData.cs	(revision 88)
@@ -206,8 +206,8 @@
                 strcmd += string.Format(", '{0}'", data.Comment4.ToString());
                 strcmd += string.Format(", '{0}'", data.Comment5.ToString());
                 strcmd += string.Format(", {0}", data.CompleteFlg.ToString());
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -254,7 +254,7 @@
                 strcmd += string.Format(", Comment4 = '{0}'", data.Comment4.ToString());
                 strcmd += string.Format(", Comment5 = '{0}'", data.Comment5.ToString());
                 strcmd += string.Format(", CompleteFlg = {0}", data.CompleteFlg.ToString());
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
 
                 strcmd += AddSQLString;
 
@@ -320,8 +320,8 @@
 
                 wrk.RequestName = objwrk[(int)NameColumn.RequestName].ToString();
 
-                wrk.TotalAmount = int.Parse(objwrk[(int)NameColumn.TotalAmount].ToString());
-                wrk.TaxAmount = int.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+                wrk.TotalAmount = long.Parse(objwrk[(int)NameColumn.TotalAmount].ToString());
+                wrk.TaxAmount = long.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
 
                 wrk.Comment1 = objwrk[(int)NameColumn.Comment1].ToString();
                 wrk.Comment2 = objwrk[(int)NameColumn.Comment2].ToString();
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 88)
@@ -119,8 +119,8 @@
                     strcmd += string.Format(", {0}", work.RentCount.ToString());
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -153,7 +153,7 @@
                 strcmd += string.Format(",RentCount = {0}", data.RentCount.ToString());
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -179,7 +179,7 @@
             try
             {
                 strcmd = "Update MaterialInfo Set DeleteFlg = 1";
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(revision 88)
@@ -25,6 +25,10 @@
         /// log4netログを使用する
         /// </summary>
         private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        /// <summary>
+        /// バージョンNoの最大値
+        /// </summary>
+        private static readonly int MAX_VERSION = 99999999;
         #endregion
 
         #region 定数
@@ -39,7 +43,8 @@
             DisplayOrder,
             DeleteFlg,
             ENTRYDATE,
-            UPDATEDATE
+            UPDATEDATE,
+            VERSIONNO
         }
         #endregion
 
@@ -122,8 +127,8 @@
                     strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -159,7 +164,7 @@
                 strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -173,7 +178,52 @@
             }
         }
 
+        /// <summary>
+        /// 資材品目マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">資材品目マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateVersionAction(string AddSQLString, MaterialItemMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            int nVersionNo = 0;
+            try
+            {
 
+                strcmd = "UPDATE MaterialItemMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" MaterialItemCode = {0}", data.MaterialItemCode.ToString());
+                strcmd += string.Format(",MaterialKindCode = {0}", data.MaterialKindCode.ToString());
+                strcmd += string.Format(",MaterialItemName = '{0}'", data.MaterialItemName);
+                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+                if (data.VersionNo >= MAX_VERSION)
+                {
+                    nVersionNo = 1;
+                }
+                else
+                {
+                    nVersionNo = data.VersionNo + 1;
+                }
+                strcmd += string.Format(",VersionNo = {0}", nVersionNo.ToString());
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+
         /// <summary>
         /// 資材品目マスタ削除
         /// </summary>
@@ -187,7 +237,7 @@
             try
             {
                 strcmd = "Update MaterialItemMaster Set DeleteFlg = 1,DisplayOrder = 999";
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -219,6 +269,8 @@
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
+
+                wrk.VersionNo = int.Parse(objwrk[(int)NameColumn.VERSIONNO].ToString());
             }
             catch (MySqlException oraex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 88)
@@ -127,8 +127,8 @@
                     strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.RepayPlanDate.ToString());
                     strcmd += string.Format(", '{0}'", work.CommentText.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -164,7 +164,7 @@
                 strcmd += string.Format(",RepayPlanDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.RepayPlanDate.ToString());
                 strcmd += string.Format(",CommentText = '{0}'", data.CommentText.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
